Subject: Re: [PATCH 0/6] strbuf cleanups

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 May 2023 15:31:02 -0700

Junio C Hamano <[email-masked]> writes:

> But if we were moving in that direction, I have to wonder if some of
> these functions also need to be renamed to lose their strbuf_
> prefix.

Just to avoid misunderstanding.  I do not mean to suggest renaming
these inside this series.  It would make things too noisy and even
more distracting.  But in the longer term, as we treat strbuf more
and more as one of our basic data structures, it would make sense to
lose strbuf_ from functions that are thrown out of strbuf.[ch] with
this series, and reserve the prefix to functions that are left in
strbuf.[ch], i.e. those that are about string operations.